close all; 
clear all;

%% Import and Order Data
rutaCapturasAcoustic = '.\Procesado\';

dataListDir = ls(rutaCapturasAcoustic);
dataListTmp = dataListDir(3:end-10, :);

% vh30A = [60, 55, 47.5, 47.5, 47.5, 45, 45, 45, 45, 45];
vh30A = [65, 55, 47.5, 45, 45, 42.5, 42.5, 42.5, 42.5, 42.5];
vh20A = [50, 40, 35, 32.5, 30, 30, 30, 30, 30, 30];

dataWidthList = 10:10:100;

data100_20 = importdata([rutaCapturasAcoustic, dataListTmp(7, :)]);
% varNames = {'InputWidth_ns','HighVoltageInput_V','CurrentPulseWidth_ns', ...
%             'NegativeLobeWidth_ns', 'PositiveLobeWidth_ns', 'MaxMinWidth_ns',...
%             'PressureAmplitude_Pa','PressureAmplitude_mV'};
        
% T = table(dataWidthList', vh30A', data100_20.anchuras_current',...
%     data100_20.negWidthListWat/1e-9, data100_20.posWidthListWat/1e-9, data100_20.posNegWidthListWat/1e-9,...
%     data100_20.pa, data100_20.maxVal/1e-3, 'VariableNames',varNames);
% 
% writetable(T, '.\Tables\100MHz_30A.xlsx')
varNames = {'InputWidth_ns','HighVoltageInput_V', ...
            'NegativeLobeWidth_ns', 'PositiveLobeWidth_ns', 'MaxMinWidth_ns',...
            'PressureAmplitude_mV'};
T20 = table(dataWidthList', vh20A',...
    data100_20.negWidthListWat20A/1e-9, data100_20.posWidthListWat20A/1e-9,...
    data100_20.posNegWidthListWat20A/1e-9,...
    data100_20.maxVal20A/1e-3, 'VariableNames',varNames);
% writetable(T20, '.\Tables\25MHz_20A.xlsx')
T30 = table(dataWidthList', vh30A',...
    data100_20.negWidthListWat30A/1e-9, data100_20.posNegWidthListWat30A/1e-9,...
    data100_20.posNegWidthListWat30A/1e-9,...
    data100_20.maxVal30A/1e-3, 'VariableNames',varNames);

% writetable(T30, '.\Tables\25MHz_30A.xlsx')

varBW = {'db6_1', 'db6_2', 'db10_1', 'db10_2','db20', 'db30', 'db40'};
TBW20 = table(data100_20.bwList20A(:,1), data100_20.bwList20A(:,2),...
        data100_20.bwList20A(:,3), data100_20.bwList20A(:,4),...
        data100_20.bwList20A(:,5), data100_20.bwList20A(:,6),...
        data100_20.bwList20A(:,7), 'VariableNames',varBW);
writetable(TBW20, '.\Tables\25MHz_20A_BW.xlsx')
 
varBW = {'db6_1', 'db6_2', 'db10_1', 'db10_2','db20', 'db30', 'db40'};
TBW30 = table(data100_20.bwList30A(:,1), data100_20.bwList30A(:,2),...
        data100_20.bwList30A(:,3), data100_20.bwList30A(:,4),...
        data100_20.bwList30A(:,5), data100_20.bwList30A(:,6),...
        data100_20.bwList30A(:,7), 'VariableNames',varBW);
writetable(TBW30, '.\Tables\25MHz_30A_BW.xlsx')

%%
% T20N = table(dataWidthList', vh20A',...
%     data100_20.negWidthListWat20A/1e-9, data100_20.posWidthListWat20A/1e-9,...
%     data100_20.posNegWidthListWat20A/1e-9,...
%     data100_20.maxVal20A/1e-3, 'VariableNames',varNames);
% % writetable(T20, '.\Tables\10MHz_20A.xlsx')
% T30N = table(dataWidthList', vh30A',...
%     data100_20.negWidthListWat30A/1e-9, data100_20.posNegWidthListWat30A/1e-9,...
%     data100_20.posNegWidthListWat30A/1e-9,...
%     data100_20.maxVal30A/1e-3, 'VariableNames',varNames);

% writetable(T30, '.\Tables\10MHz_30A.xlsx')

